Xeonr Developer Docs
UplApiUploads

Abort upload request

POST
/uplim.api.v1.BucketUploadsService/RequestUploadAbort

Abandons an upload request that has not been confirmed. A multipart upload is aborted in storage and its parts are discarded; the request can no longer be signed for or confirmed. Aborting a request that has already expired, been confirmed or been aborted returns NOT_FOUND.

Authorization

OAuth2 upl:uploads:create
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:uploads:create

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&

Reference to the bucket

uploadRequestId?string

ID of the upload request to abandon

Length1 <= length <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/RequestUploadAbort" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}